import { __rest, __assign } from './../external/tslib/tslib.es6.js';
import React from 'react';
import classnames from 'classnames';
import { parseMetadata } from '@highlight-ui/utils-commons';
import styles from './Panel.module.scss.js';

function PanelWithRef(_a, ref) {
  var _b = _a.absolute,
      absolute = _b === void 0 ? false : _b,
      children = _a.children,
      className = _a.className,
      _c = _a.position,
      position = _c === void 0 ? 'left' : _c,
      metadata = _a.metadata,
      remainingProps = __rest(_a, ["absolute", "children", "className", "position", "metadata"]);

  return /*#__PURE__*/React.createElement("div", __assign({
    className: classnames(styles.panel, className, absolute === true ? styles.absolute : '', position === 'right' ? styles.rightPosition : ''),
    ref: ref
  }, parseMetadata(metadata), remainingProps), children);
}

PanelWithRef.displayName = 'Panel';
var Panel = /*#__PURE__*/React.forwardRef(PanelWithRef);
export { Panel as default };
//# sourceMappingURL=Panel.js.map
